package pl.helion.j2mepp.lokalizator;

import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Form;
import pl.helion.j2mepp.lokalizator.dto.Uzytkownik;

public class SzczegolyForm extends Form {
    private Command powrot = new Command("Powrót", Command.BACK, 0);

    private Uzytkownik uzytkownik;

    public SzczegolyForm(CommandListener l) {
        super("Szczegóły");
        this.setCommandListener(l);
        this.addCommand(powrot);
    }

    public void setUzytkownik(Uzytkownik u) {
        this.uzytkownik = u;
        if (u != null) {        
            this.deleteAll();
            this.append(uzytkownik.getLogin() + " " + uzytkownik.getLokalizacja() + "\n");
            this.append(uzytkownik.getImie() + " " + uzytkownik.getNazwisko());
        }
    }
}
